/* 
 Kai Wolff (2016)
 Lizenz: Creative Commons BY-NC-SA 4.0 http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
 */
function aspectRatioVideo(videoHeight, videoWidth) {
    // videoHeight - Höhe des Videos [Pixel]
    // videoWidth - Breite des Videos [Pixel]
    document.getElementsByTagName("head")[0].innerHTML 
            += "<style>.video-js {padding-top: " + videoHeight/videoWidth* 100 + "%}</style>";
}

function myAufgabe(cardT) {
    // cardT - lfd. Nr. der Teilaufgabe innerhalb der Aufgabe, Default 0 (#T!)
 	if (cardT > 0) {document.write("Aufgabe " + cardT);}
}

function myButtons(cardA, cardT, cardH, cardMax) {
    // cardA - lfd. Nr. der Aufgabe zur Unterrichtseinheit (#A!)
    // cardT - lfd. Nr. der Teilaufgabe innerhalb der Aufgabe, Default 0 (#T!)
    // cardH - lfd. Nr. der Hilfekarte zur (Teil-)Aufgabe (#H!)
    // cardMax - Anzahl der Hilfekarten zur (Teil-)Aufgabe (#MAX!)
    var card;
    var iH = "";
	if (cardT == 0) {cardT = "";}
	
    for (card = 1; card <= cardMax; card++) {
        if (card < cardH) {
            iH += "<li><a href=\"karte" + cardA + cardT + "_" + card + ".html\" class=\"icon fa-unlock\"><span class=\"label\">Hilfekarte " + card + "</span></a></li>";
        } else if (card == cardH) {
            iH += "<li><a href=\"#\"                                            class=\"icon fa-eye\"   ><span class=\"label\">Hilfekarte " + card + "</span></a></li>";
        } else if (card == cardH + 1) {
            iH += "<li><a href=\"karte" + cardA + cardT + "_" + card + ".html\" class=\"icon fa-key\"   ><span class=\"label\">Hilfekarte " + card + "</span></a></li>";
        } else {
            iH += "<li><a href=\"#\"                                            class=\"icon fa-lock\"  ><span class=\"label\">Hilfekarte " + card + "</span></a></li>";
        }
    }
    document.getElementsByClassName("icons")[0].innerHTML = iH;
}